Show / Hide Table of Contents

# Struct AtkComponentButton

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkComponentButton

### Fields

| Improve this Doc View Source

#### AtkComponentBase

##### Declaration

    public AtkComponentBase AtkComponentBase

##### Field Value

Type | Description
--- | ---
AtkComponentBase |

| Improve this Doc View Source

#### Bottom

##### Declaration

    public short Bottom

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ButtonBGNode

##### Declaration

    public AtkResNode*ButtonBGNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### ButtonTextNode

##### Declaration

    public AtkTextNode*ButtonTextNode

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Flags

##### Declaration

    public uint Flags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Left

##### Declaration

    public short Left

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Right

##### Declaration

    public short Right

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Top

##### Declaration

    public short Top

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Properties

| Improve this Doc View Source

#### IsEnabled

##### Declaration

    public readonly bool IsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |